Subject: [alpine-aports] [PATCH] testing/consul: upgrade to version 0.5.2

From: Christian Kampka <[email-masked]>
Date: Thu, 6 Aug 2015 22:46:17 +0200

---
 testing/consul/APKBUILD    |  45 +++++++---------
 testing/consul/v0-5-0.json | 132 ---------------------------------------------
 2 files changed, 20 insertions(+), 157 deletions(-)
 delete mode 100644 testing/consul/v0-5-0.json

diff --git a/testing/consul/APKBUILD b/testing/consul/APKBUILD
index cef4980..c8752b1 100644
--- a/testing/consul/APKBUILD
+++ b/testing/consul/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Olivier Mauras <[email-masked]>
 # Maintainer:
 pkgname=consul
-pkgver=0.5.0
+pkgver=0.5.2
 pkgrel=0
 pkgdesc="A tool for service discovery, monitoring and configuration"
 url="https://www.consul.io/"
@@ -15,7 +15,6 @@ pkgusers="consul"
 pkggroups="consul"
 subpackages=""
 source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz
-	v${pkgver//./-}.json
 	consul.initd
 	consul.confd
 	acl.json.sample
@@ -28,24 +27,24 @@ _gourl="github.com/hashicorp/consul"
 _builddir="$srcdir"/src/github.com/hashicorp
 
 snapshot() {
-        abuild clean
+	abuild clean
 	abuild deps
 	abuild fetch
-        export GOPATH="$srcdir"
-        mkdir -p $_builddir
-        cd $_builddir
-        msg "Checking out v${pkgver} tag"
-        git clone -q --branch v${pkgver} https://$_gourl || return 1
-        cd $pkgname
+	export GOPATH="$srcdir"
+	mkdir -p $_builddir
+	cd $_builddir
+	msg "Checking out v${pkgver} tag"
+	git clone -q --branch v${pkgver} https://$_gourl || return 1
+	cd $pkgname
 	# use custom godeps file
-	install -D "$srcdir"/v${pkgver//./-}.json \
+	install -D "${_builddir}"/$pkgname/deps/v${pkgver//./-}.json \
 		$_builddir/$pkgname/Godeps/Godeps.json || return 1
-        go get -v -d || return 1
+	go get -v -d || return 1
 	godep restore
-        cd "$srcdir"
-        tar zcf $pkgname-$pkgver.tar.gz src || return 1
-        rsync --progress -La $pkgname-$pkgver.tar.gz \
-                $_disturl || return 1
+	cd "$srcdir"
+	tar zcf $pkgname-$pkgver.tar.gz src || return 1
+	rsync --progress -La $pkgname-$pkgver.tar.gz \
+		$_disturl || return 1
 	cd $startdir && abuild undeps
 }
 
@@ -60,9 +59,9 @@ prepare() {
 }
 
 build() {
-        cd "$_builddir"/$pkgname || return 1
-        export GOPATH="$srcdir"
-        go build -v -o bin/consul \
+	cd "$_builddir"/$pkgname || return 1
+	export GOPATH="$srcdir"
+	go build -v -o bin/consul \
 		-ldflags "-X main.GitDescribe $pkgver" || return 1
 }
 
@@ -87,25 +86,21 @@ package() {
 		install -m640 -o root -g consul "$srcdir"/$cf "$pkgdir"/etc/${pkgname} || return 1
 	done
 }
-
-md5sums="14f03d1b12e0153a0df2a4becad6516f  consul-0.5.0.tar.gz
-5594031fcbe1accb446ddb2a94a15e20  v0-5-0.json
+md5sums="c34e4db013633698c1db83a42baa400e  consul-0.5.2.tar.gz
 34adfd50f993e57f5941d77963a23eef  consul.initd
 9873f8d9a30f788eda9298e89366a1c9  consul.confd
 3ecdfa3d217bf8517a2b025da321811d  acl.json.sample
 3cfcc6f98d15ce3f3ac7021657786ab6  encrypt.json.sample
 75a654690d6096987d52796a6e01e405  server.json
 f16f70961c3297b54affc6f2c615873a  tls.json.sample"
-sha256sums="fff18f7f624b393d96e9898afa5dd32501c09cf3a9e701ad9452fd6d972009e2  consul-0.5.0.tar.gz
-3e4e5ebadb7076e967f6dc68eb4b5a3c8b5fb03db2c4da5f95be4f8480b3b5c6  v0-5-0.json
+sha256sums="4d8547f5c234441843303b4bdccc7d4ab4b23679c2eec61ac88d8d8e57b1cf8e  consul-0.5.2.tar.gz
 f6caf13d0797f1cdc3d861e3417baa4e4fc3e8beaf5698b278ce514b3af5edac  consul.initd
 888aaaee84b3d8431526960becfdb123eaf438ae10fa58f59b5520ae0c0d0830  consul.confd
 40b230f47a5a52eac87cfea4cdda99125a2136630bdf49d22af0df814201f313  acl.json.sample
 927f9b480d4593a9d3dfe5e3e047e30fddc954a83157517135db3f60e7596a6f  encrypt.json.sample
 1058636fbbe66890c8a04a264f1200572202b205976aa562b07fe86f4faab89f  server.json
 b10bd00587a8ed56284e1c0bc9f1bdc6d556986320113ddf4e118042dc39cd2d  tls.json.sample"
-sha512sums="1f30c93899e05086edd1f40f8d23c175f6f4340a8ac79e9451772638bb01c1e8ba918b94bca3261e5e6327c83e51e06125b7717249323a91394a42b4863969fe  consul-0.5.0.tar.gz
-179eb44a60d6af9404b224ad7d21d67be57fdab4ee753d6ee62ef15e7febf5c2b4d7fa5e21fb718e500bbb63c40c31478dcbc7fb129c0312658e6b04e05106ca  v0-5-0.json
+sha512sums="509ca7b272b189935459443950af00d0e08dfd0243e3015dc50eb5088ffd4b3bdc44af2d105a171088b6586997cacd8a799557bfa8138dc6db70555e4af468db  consul-0.5.2.tar.gz
 8510cdd05c8fa8e856cbc3806d8851adfebf64f34d7736503e6516050df6c98537e0fe334a28dc8ce2278be87ab7e1c0e09f77f26848bb6fff70f28ff702218a  consul.initd
 f2c5af74dfcbca2fea8ebea31139d93f44455b93ef17ec611b880d7071af4125615dbbd23969d0d04ca636c26d7b4e7eb97f1266baa89252097f4cbc5173d817  consul.confd
 d4310dde63d3b8fc4791124bd255bf2a1402b86d00f6b1732e18b0caedb75eae6c77382e1a48f12469828ef4bb363db4580fb1aafa63fcdc97b1431f6ea96d58  acl.json.sample
diff --git a/testing/consul/v0-5-0.json b/testing/consul/v0-5-0.json
deleted file mode 100644
index 2da9a7b..0000000
--- a/testing/consul/v0-5-0.json
+++ /dev/null
@@ -1,132 +0,0 @@
-{
-	"ImportPath": "github.com/hashicorp/consul",
-	"GoVersion": "go1.4.2",
-	"Deps": [
-		{
-			"ImportPath": "github.com/armon/circbuf",
-			"Rev": "f092b4f207b6e5cce0569056fba9e1a2735cb6cf"
-		},
-		{
-			"ImportPath": "github.com/armon/go-metrics",
-			"Rev": "88b7658f24511c4b885942b26e9ea7a61ee37ebc"
-		},
-		{
-			"ImportPath": "github.com/armon/go-radix",
-			"Rev": "e39d623f12e8e41c7b5529e9a9dd67a1e2261f80"
-		},
-		{
-			"ImportPath": "github.com/armon/gomdb",
-			"Rev": "151f2e08ef45cb0e57d694b2562f351955dff572"
-		},
-		{
-			"ImportPath": "github.com/golang/protobuf/proto",
-			"Rev": "5677a0e3d5e89854c9974e1256839ee23f8233ca"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/go-checkpoint",
-			"Rev": "88326f6851319068e7b34981032128c0b1a6524d"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/go-msgpack/codec",
-			"Rev": "71c2886f5a673a35f909803f38ece5810165097b"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/go-multierror",
-			"Rev": "fcdddc395df1ddf4247c69bd436e84cfa0733f7e"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/go-syslog",
-			"Rev": "42a2b573b664dbf281bd48c3cc12c086b17a39ba"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/golang-lru",
-			"Rev": "f09f965649501e2ac1b0c310c632a7bebdbdc1d4"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/hcl",
-			"Rev": "513e04c400ee2e81e97f5e011c08fb42c6f69b84"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/logutils",
-			"Rev": "23b0af5510a2d1442103ef83ffcf53eb82f3debc"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/memberlist",
-			"Rev": "9a1e242e454d2443df330bdd51a436d5a9058fc4"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/net-rpc-msgpackrpc",
-			"Rev": "d377902b7aba83dd3895837b902f6cf3f71edcb2"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/raft",
-			"Rev": "a88bfa8385bc52c1f25d0fc02d1b55a2708d04ab"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/raft-mdb",
-			"Rev": "4ec3694ffbc74d34f7532e70ef2e9c3546a0c0b0"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/scada-client",
-			"Rev": "c26580cfe35393f6f4bf1b9ba55e6afe33176bae"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/serf/serf",
-			"Comment": "v0.6.4-3-gcc95df9",
-			"Rev": "cc95df950d69acfd117128c98a3bc6b64c1da3fd"
-		},
-		{
-			"ImportPath": "github.com/hashicorp/yamux",
-			"Rev": "b4f943b3f25da97dec8e26bee1c3269019de070d"
-		},
-		{
-			"ImportPath": "github.com/inconshreveable/muxado",
-			"Rev": "f693c7e88ba316d1a0ae3e205e22a01aa3ec2848"
-		},
-		{
-			"ImportPath": "github.com/matttproud/golang_protobuf_extensions/ext",
-			"Rev": "ba7d65ac66e9da93a714ca18f6d1bc7a0c09100c"
-		},
-		{
-			"ImportPath": "github.com/miekg/dns",
-			"Rev": "64fea017a260b4ccbfbb3f60ab027e0398cd8f6f"
-		},
-		{
-			"ImportPath": "github.com/mitchellh/cli",
-			"Rev": "e3c2e3d39391e9beb9660ccd6b4bd9a2f38dd8a0"
-		},
-		{
-			"ImportPath": "github.com/mitchellh/mapstructure",
-			"Rev": "442e588f213303bec7936deba67901f8fc8f18b1"
-		},
-		{
-			"ImportPath": "github.com/prometheus/client_golang/model",
-			"Comment": "0.1.0-33-g38dbb2e",
-			"Rev": "38dbb2e26868d15db0275ddbaac0cbe450ec03de"
-		},
-		{
-			"ImportPath": "github.com/prometheus/client_golang/prometheus",
-			"Comment": "0.1.0-33-g38dbb2e",
-			"Rev": "38dbb2e26868d15db0275ddbaac0cbe450ec03de"
-		},
-		{
-			"ImportPath": "github.com/prometheus/client_golang/text",
-			"Comment": "0.1.0-33-g38dbb2e",
-			"Rev": "38dbb2e26868d15db0275ddbaac0cbe450ec03de"
-		},
-		{
-			"ImportPath": "github.com/prometheus/client_model/go",
-			"Comment": "model-0.0.2-12-gfa8ad6f",
-			"Rev": "fa8ad6fec33561be4280a8f0514318c79d7f6cb6"
-		},
-		{
-			"ImportPath": "github.com/prometheus/procfs",
-			"Rev": "92faa308558161acab0ada1db048e9996ecec160"
-		},
-		{
-			"ImportPath": "github.com/ryanuber/columnize",
-			"Comment": "v2.0.1-6-g44cb478",
-			"Rev": "44cb4788b2ec3c3d158dd3d1b50aba7d66f4b59a"
-		}
-	]
-}
-- 
2.5.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---